commit:     373963fd562dbdc17f5647ea170ac1590eb93a76
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 14 13:50:57 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Oct 14 13:50:57 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=373963fd

dev-python/sphinx: Move dev-python/sphinx_rtd_theme from PDEPEND to RDEPEND

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=561776

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 .../sphinx/{sphinx-1.3.1.ebuild => sphinx-1.3.1-r1.ebuild}     | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/dev-python/sphinx/sphinx-1.3.1.ebuild 
b/dev-python/sphinx/sphinx-1.3.1-r1.ebuild
similarity index 96%
rename from dev-python/sphinx/sphinx-1.3.1.ebuild
rename to dev-python/sphinx/sphinx-1.3.1-r1.ebuild
index 7e9c73e..b241fdd 100644
--- a/dev-python/sphinx/sphinx-1.3.1.ebuild
+++ b/dev-python/sphinx/sphinx-1.3.1-r1.ebuild
@@ -21,24 +21,24 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips 
~ppc ~ppc64 ~s390 ~s
 IUSE="doc latex test"
 
 RDEPEND="
-       dev-python/setuptools[${PYTHON_USEDEP}]
+       =dev-python/alabaster-0.7*[${PYTHON_USEDEP}]
        >=dev-python/docutils-0.11[${PYTHON_USEDEP}]
        >=dev-python/jinja-2.3[${PYTHON_USEDEP}]
        >=dev-python/pygments-2.0.1-r1[${PYTHON_USEDEP}]
        >=dev-python/six-1.4[${PYTHON_USEDEP}]
        >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
-       =dev-python/alabaster-0.7*[${PYTHON_USEDEP}]
        >=dev-python/snowballstemmer-1.1[${PYTHON_USEDEP}]
+       dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
        latex? (
                dev-texlive/texlive-latexextra
                app-text/dvipng
        )"
-DEPEND="${DEPEND}
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
        test? (
                dev-python/nose[${PYTHON_USEDEP}]
                $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7 pypy)
        )"
-PDEPEND="dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]"
 
 S="${WORKDIR}/${MY_P}"
 
@@ -60,7 +60,7 @@ python_compile_all() {
 }
 
 python_test() {
-       mkdir -p "${BUILD_DIR}/sphinx_tempdir"
+       mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
        export SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
        cp -r -l tests "${BUILD_DIR}"/ || die
 

Reply via email to